### Struct

# Gimp ObjectArray

unstable since: 3.0

#### Description

    struct GimpObjectArray {
      GType object_type;
      GObject** data;
      gsize length;
      gboolean static_data;
    }

No description available.

###### Structure members

`object_type`

  `GType` of the contained objects.

`data`

  Pointer to the array’s data.

`length`

  Length of `data`, in number of objects.

`static_data`

  Whether `data` points to statically allocated memory.

Available since: 3.0

#### Constructors

###### gimp_object_array_new

Creates a new `GimpObjectArray` containing object pointers, of size `length`.

unstable since: 3.0

#### Instance methods

###### gimp_object_array_copy

Creates a new `GimpObjectArray` containing a deep copy of `array`.

unstable since: 3.0

###### gimp_object_array_free

No description available.

unstable since: 3.0